Robot Simulator of the Robotics Group for Self-Organization of Control: BWImageProcessor Struct Reference

# BWImageProcessor Struct Reference

black and white image More...

`#include <imageprocessors.h>`

Inherits lpzrobots::StdImageProcessor.

Collaboration diagram for BWImageProcessor:
[legend]

List of all members.

## Public Types
enum | ChannelMask { Red = 1, Green = 2, Blue = 4, Hue = 1, Saturation = 2, Value = 4 }
## Public Member Functions
| BWImageProcessor (bool show, float scale, char channelmask=7)
virtual | ~BWImageProcessor ()
virtual void | initDestImage (Camera::CameraImage &dest, const Camera::CameraImage &src)
| overload this function and initialise the dest.img and the dest.name
virtual void | process (const osg::Image *src, osg::Image *dest)
| overload this function and do processing here
## Public Attributes
bool | red
bool | green
bool | blue
char | numchannels
char | channelmask

## Detailed Description

black and white image

See also:
  StdImageProcessor

## Member Enumeration Documentation

enum ChannelMask

Enumerator:

  Red |
  Green |
  Blue |
  Hue |
  Saturation |
  Value |

## Constructor & Destructor Documentation

BWImageProcessor | ( | bool | show,
|  | float | scale,
|  | char | channelmask = `7` |
| ) |  |  | `[inline]`

Parameters:

  | channelmask | which channels to consider,

See also:
  BWImageProcessor::ChannelMask

virtual ~BWImageProcessor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void initDestImage | ( | Camera::CameraImage & | dest,
|  | const Camera::CameraImage & | src |
| ) |  |  | `[inline, virtual]`

overload this function and initialise the dest.img and the dest.name

Implements StdImageProcessor.

virtual void process | ( | const osg::Image * | src,
|  | osg::Image * | dest |
| ) |  |  | `[inline, virtual]`

overload this function and do processing here

Implements StdImageProcessor.

## Member Data Documentation

bool blue

char channelmask

bool green

char numchannels

bool red

The documentation for this struct was generated from the following file:

- imageprocessors.h